#include "lib/gba.h"

//---------------------------------------------------------------------------
void WaitForVsync(void)
{
	while (*(volatile u16*)0x4000006 >= 160) {};
	while (*(volatile u16*)0x4000006 <  160) {};
}
//---------------------------------------------------------------------------
int main(void)
{
	SetMode(MODE_3 | BG2_ENABLE);

	GbfsInit();
	u16* pImg = GbfsGetSafePointer("image.img");

	LZ77UnCompVram(pImg, (void*)VRAM);

	for(;;)
	{
	    WaitForVsync();
	}
}
