#include "lib/gba.h"
#include "res.h"

//---------------------------------------------------------------------------
void WaitForVsync(void)
{
	while(*(vu16*)0x4000006 >= 160) {};
	while(*(vu16*)0x4000006 <  160) {};
}
//---------------------------------------------------------------------------
// BG2̏cE̊g嗦%Ŏw
void ScaleBG2(u32 xsc, u32 ysc)
{
	REG_BG2PA = 256 * 100 / xsc;
	REG_BG2PB = 0;
	REG_BG2PC = 0;
	REG_BG2PD = 256 * 100 / ysc;
}
//---------------------------------------------------------------------------
int main(void)
{
	// [hݒ
	SetMode(MODE_3 | BG2_ENABLE);

	// 摜̓ǂݍ
	REG_DMA3SAD = (u32)&imageBitmap;
	REG_DMA3DAD = (u32)VRAM;
	REG_DMA3CNT = (u32)(240*160) | (DMA_SRC_INC | DMA_DST_INC | DMA16 | DMA_ENABLE);

	ScaleBG2(50, 50);

	for(;;)
	{
	    WaitForVsync();
	}
}
