#include "lib/gba.h"
#include "res.h"

//---------------------------------------------------------------------------
void WaitForVsync(void)
{
	while(*(vu16*)0x4000006 >= 160) {};
	while(*(vu16*)0x4000006 <  160) {};
}
//---------------------------------------------------------------------------
void Mode3DrawImage(u16* img)
{
	u16* ScreenBuffer = (u16*)0x6000000;
	u32  x, y;

	for(y=0; y<160; y++)
	{
		for(x=0; x<240; x++)
		{
			ScreenBuffer[y*240+x] = img[y*240+x];
		}
	}
}
//---------------------------------------------------------------------------
int main(void)
{
	SetMode(MODE_3 | BG2_ENABLE);

	REG_DMA3SAD = (u32)&imageBitmap;
	REG_DMA3DAD = (u32)VRAM;
	REG_DMA3CNT = (u32)(240*160) | (DMA_SRC_INC | DMA_DST_INC | DMA16 | DMA_ENABLE);

	// BG2ŃUCNgp\ɂ܂
	REG_BG2CNT = BG_MOSAIC;

	// UCÑp[^ݒ
	u16 cx = 5;
	u16 cy = 5;

	REG_MOSAIC = MOSAIC_BG_H(cx) | MOSAIC_BG_V(cy);

	for(;;)
	{
	    WaitForVsync();
	}
}
